function isValidCode(strCode)
{
   var i, cChar
   var strValidID = "0123456789-.";
   for (i = 0; i < strCode.length; i ++ )
   {
      cChar = strCode.charAt(i);
      if(strValidID.indexOf(cChar) == - 1) return false;
   }
   return true;
}
				function  SkyStudent(){
					var info,s,ad;
					ad="〖学校教务管理系统提示您！〗\n";
					info=ad+"您确实要批量增加信息吗？";
				s=document.getElementById("TxtAddNum")
				if(s.value==""|| !isValidCode(s.value)||s.value.length< 6)
				{
					alert(ad + "学生学号前缀不能为空,并且必须是数字(6位)!\n请选择相应的班级和院系自动生成编号!");
					s.focus();
					return false;
				}
				s=document.getElementById("TxtENum")
				if(s.value==""|| !isValidCode(s.value))
				{
					alert(ad + "学生学号结束不能为空,并且必须是数字(2位)！");
					s.focus();
					return false;
				}
				//#####################################################
				s=document.getElementById("TxtXZ")
				if(s.value=="")
				{
					alert(ad + "学生学制不能为空)！");
					s.focus();
					return false;
				}
				//######################################################
				s=document.getElementById("TxtXL")
				if(s.value=="")
				{
					alert(ad + "学生学历不能为空)！");
					s.focus();
					return false;
				}
				//######################################################
				s=document.getElementById("TxtMZ")
				if(s.value=="")
				{
					alert(ad + "学生民族不能为空)！");
					s.focus();
					return false;
				}
				//######################################################
			if(confirm(info)){return true;}else{return false;}
				}
				
